# Method Protocols.DNS.protocol()->mkquery()

Method mkquery

  ``string` mkquery(`string`|`mapping` `dnameorquery`, `int`|`void` `cl`, `int`|`void` `type`)`

Description

  create a DNS query PDU

Parameter `dnameorquery`
Parameter `cl`

  record class such as Protocols.DNS.C_IN

Parameter `type`

  query type such Protocols.DNS.T_A

Returns

  data suitable for use with Protocols.DNS.client.do_sync_query

Example

      // generate a query PDU for a address lookup on the hostname pike.lysator.liu.se
       string q=Protocols.DNS.protocol()->mkquery("pike.lysator.liu.se", Protocols.DNS.C_IN, Protocols.DNS.T_A);